Bug 3060 - PC category should be able to pull in stats from garage
: PC category should be able to pull in stats from garage
Product: maemo.org Website
: unspecified
: All Linux
: Low enhancement (vote)
: ---
Assigned To: Niels Breet
: downloads@maemo.org
: https://bugs.maemo.org/show_bug.cgi?i...
  Show dependency tree
Reported: 2008-04-01 00:04 UTC by Andrew Flegg
Modified: 2010-04-19 11:56 UTC (History)
1 user (show)

See Also:



You need to log in before you can comment on or make changes to this bug.

Description Andrew Flegg (reporter) maemo.org 2008-04-01 00:04:55 UTC
  * Open the Pidgin page on downloads.maemo.org:
  * Click "Download Statistics"
  * Open the tablet-encode page:

Download statistics shown from garage.maemo.org and number of downloads tied in
to all releases from garage.maemo.org.

Download statistics only shows number of people using the big green install


I imagine the tie-up to garage.maemo.org should use the following rules:

    If the download link on the product page links to a file in a release of
    a product in garage, the total number of downloads shown on 
    downloads.maemo.org is the sum of downloads for all releases of that
    file type (removing version numbers) in the garage project.

For example, tablet-encode's download URL goes to tablet-encode-2.18.tar.gz in
the v2.18 release of tablet-encode, part of the mediautils project.
downloads.maemo.org should show the total downloads of
tablet-encode-2.18.tar.gz, tablet-encode-2.17.tar.gz, etc etc. It is worth
basing it on the declared file type when making a release because future
versions of tablet-encode could be released in .zip files to be easier for
Windows users to use.

This may undercount projects which have changed the file which should usually
be downloaded by an end-user, but the alternative is total downloads for all
releases for that product. This overestimates (e.g. source + release) so it's
probably better to go with the conservative one.

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:
Gecko/20061201 Firefox/ (Ubuntu-feisty)
Comment 1 Quim Gil nokia 2008-07-19 15:20:58 UTC
Setting to LOW. Please push to MEDIUM as soon as someone wants to propose this
task for a next maemo.org sprint.
Comment 2 Ferenc Szekely maemo.org 2010-04-19 11:56:06 UTC
It is easy to implement an HTTP interface in garage to query how many times a
certain file(s) has / have been downloaded. We can either use an exact file
name match or a pattern, e.g.:

 - tablet-encode-2.30.tar.gz --> 3862
 - tablet-encode-* --> 18551

Each entry in the app catalog has a field: "URL of .install file". The file
pattern to be queried at garage could be determined from that field. Some rules
-of course- should be applied when using this field, like 

- the link should point to a garage file release
- the file used in a link should match <name>-<version>.<extension> format

A Midgard cron job could query the interface mentioned above and pull the
download info for every appropriate project. Once the info is available the
same cron job could update the sum of downloads shown on the app catalog page.

However there are only 4 apps in the PC group and only 1 out of these has a
download link pointing to a garage. I am afraid it is not worth the effort to
implement this feature now.

Marking as WONTFIX.